Skip to content

Federated Connections

Operations for the Federated Connections service collection.

LanguageLast Update
Pythonv1.6.1
PowerShellv2.2.9
Gov0.20.0
TypeScriptv0.6.0
Rustv0.7.0
Rubyv1.2.0
OperationDescription
post_federated_connections_configCreate configuration for a federated connection
delete_federated_connections_configDelete configuration for a federated connection
patch_federated_connections_configUpdate configuration for a federated connection

Create configuration for a federated connection

POST /ngsiem/entities/federated-connections-config/v1
Scope Ngsiem Federated Connection: WRITE Consumes · Produces application/json
NameTypeData typeDescription
bodybodydictionaryFull body payload as JSON formatted dictionary.
cluster_urlbodystringURL of the external cluster
connection_idbodystringID of the federated connection
view_tokenbodystringtoken for accessing external cluster

Examples coming soon.


Delete configuration for a federated connection

DELETE /ngsiem/entities/federated-connections-config/v1
Scope Ngsiem Federated Connection: WRITE Consumes · Produces application/json
NameTypeData typeDescription
connection_idquerystringConnection ID to delete configuration for

Examples coming soon.


Update configuration for a federated connection

PATCH /ngsiem/entities/federated-connections-config/v1
Scope Ngsiem Federated Connection: WRITE Consumes · Produces application/json
NameTypeData typeDescription
bodybodydictionaryFull body payload as JSON formatted dictionary.
cluster_urlbodystringURL of the external cluster
view_tokenbodystringtoken for accessing external cluster
connection_idquerystringConnection ID to update configuration for

Examples coming soon.